/*
   Projet IFT763 : Objets volant avec Verlet / Contraintes

   (C) Eric Beaudry 2004.
   Eric.Beaudry@USherbrooke.ca
   http://planiart.usherbrooke.ca/~eric/

   Universit de Sherbrooke
   Facult des Sciences
   Dpartement d'Informatique

*/

#if !defined(__TIMER_H__)
#define __TIMER_H__


class Timer{
  public:
    Timer(int iterPerSec_=100, int maxStepIter_=4, double factor=1);

    void        reset();

    int         getNbStepToDo();

    void        waitUnitNextStep();

  protected:
    int         iterPerSec;
    int         maxStepIter;

    long        startTime;
    int         currentStep;

    double      factor;
};

#endif
